Amazon Linux 2:util-linux (ALAS-2022-1878)

high Nessus Plugin ID 168443

Synopsis

遠端 Amazon Linux 2 主機缺少安全性更新。

描述

遠端主機上安裝的 util-linux 版本比 2.30.2-2 舊。因此,它受到 ALAS2-2022-1878 公告中提及的一個弱點影響。

- 在 2.32-rc1 之前的 util-linux 中,bash-completion / umount 允許本機使用者藉由將 shell 命令內嵌在掛載點名稱中來取得權限,掛載點名稱會在不同使用者的 umount 命令 (Bash 內) 期間遭到不當處理,例如以 root 身分登入,以及在索引標籤字元後輸入 umount 用於自動完成。(CVE-2018-7738)

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

執行「yum update util-linux」以更新系統。

另請參閱

https://alas.aws.amazon.com/cve/html/CVE-2018-7738.html

https://alas.aws.amazon.com/AL2/ALAS-2022-1878.html

Plugin 詳細資訊

嚴重性: High

ID: 168443

檔案名稱: al2_ALAS-2022-1878.nasl

版本: 1.2

類型: local

代理程式: unix

已發布: 2022/12/7

已更新: 2022/12/7

支持的傳感器: Frictionless Assessment AWS, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment

風險資訊

VPR

風險因素: Medium

分數: 5.9

CVSS v2

風險因素: High

基本分數: 7.2

時間分數: 5.3

媒介: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C

時間媒介: CVSS2#E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2018-7738

CVSS v3

風險因素: High

基本分數: 7.8

時間分數: 6.8

媒介: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

時間媒介: CVSS:3.0/E:U/RL:O/RC:C

弱點資訊

CPE: cpe:2.3:o:amazon:linux:2:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:libblkid:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:libblkid-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:libmount:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:libmount-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:libuuid:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:libuuid-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:util-linux:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:util-linux-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:uuidd:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:libfdisk:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:libfdisk-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:libsmartcols:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:libsmartcols-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:util-linux-user:*:*:*:*:*:*:*, p-cpe:2.3:a:amazon:linux:python-libmount:*:*:*:*:*:*:*

必要的 KB 項目: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2022/11/15

弱點發布日期: 2018/3/7

參考資訊

CVE: CVE-2018-7738